CC
      IMPLICIT NONE
CC
CC MODEL DATA SIZE
CC ---------------
CC      JPK     : NUMBER OF VERTICAL LEVELS
CC
      INTEGER JPK,JPIDTA,JPJDTA,JPMDTA
CC ORIGINAL GEOPHYSICAL DATA on LEVITUS grid
CC ----------------------------------
CC
CC      JPIDTA  : FIRST HORIZONTAL DIMENSION
CC      JPJDTA  : SECOND
CC      JPMDTA  : NUMBER OF FIELDS TYPE (SALINITY=1)
CC
      PARAMETER(JPIDTA=360,JPJDTA=180,JPK=33,JPMDTA=12)
CC
CC COMMON/COMDTA/ : ORIGINAL DATA
CC ------------------------------
CC
CC      RDTA    : ORIGINAL ARRAY
CC      RXL     : LONGITUDE ARRAY
CC      RYL     : LATITUDE ARRAY
CC      RTL     : VERTICAL ARRAY
CC      RZL     : TIME ARRAY
CC      SPVAL   : MASK VALUE
CC      RMASK() : MASK FOR ORIGINAL DATA
CC
      REAL ABUND(JPIDTA,JPJDTA,JPK,JPMDTA),
     $   RDTA(JPIDTA,JPJDTA,JPK,JPMDTA),obs(jpidta,jpjdta,jpk,jpmdta),
     $   MEDA(JPIDTA,JPJDTA,JPK,JPMDTA),MEDC(JPIDTA,JPJDTA,JPK,JPMDTA),
     $   stda(JPIDTA,JPJDTA,JPK,JPMDTA),stdc(JPIDTA,JPJDTA,JPK,JPMDTA),
     $   obsz(JPIDTA,JPJDTA,JPK,JPMDTA),
     $   RDTZ(JPIDTA,JPJDTA,JPK,JPMDTA),ABUNZ(jpidta,jpjdta,jpk,jpmdta),
     $   MEDZA(JPIDTA,JPJDTA,JPK,JPMDTA),MEDZC(JPIDTA,JPJDTA,JPK,JPMDTA),
     $   stdza(JPIDTA,JPJDTA,JPK,JPMDTA),stdzc(JPIDTA,JPJDTA,JPK,JPMDTA),
     $              RXL(JPIDTA),RYL(JPJDTA),RZL(JPK),RTL(jpmdta),
     $              SPVAL
      REAL RMASK(jpidta,jpjdta)
C
      COMMON/COMDTA/ABUND,RDTA,obs,MEDA,MEDC,stda,stdc,obsz,RDTZ,ABUNZ,
     $              MEDZA,MEDZC,stdza,stdzc,
     $              RXL,RYL,RZL,RTL,
     $              SPVAL
     &,             rmask
CC
      REAL GDEPT(JPK)
      COMMON/COMCOO/GDEPT
CC FOR NETCDF FILES
CC ----------------
CC
CC ncou : number of output file
CC varid : name of output file
CC vardims : dimensions of output file
C
      INTEGER ncou, maskid, varid(20)
      INTEGER nvdims
      PARAMETER(nvdims=4)
      INTEGER varlat, varlon, vardep, vartim
      INTEGER vardims(nvdims),count(nvdims),start(nvdims)
      INTEGER status
      COMMON/comnet/ncou,maskid,varid,
     &varlat,varlon,vardep,vartim,vardims,count,start,status
C
      INCLUDE 'netcdf.inc'
