      SUBROUTINE antlec
CCC---------------------------------------------------------------------
CCC
CCC routine antlec
CCC ******************
CCC
CCC PURPOSE :
CCC ---------
CCC READ ORIGINAL DATA
CCC
CC
CC----------------------------------------------------------------------
CC
#include "opadta.h"
CCC---------------------------------------------------------------------
CCC OPA, LODYC (5/04/97)
CCC---------------------------------------------------------------------
      INTEGER ji,jj,jk,jm,jn
      INTEGER jicold,jjcold,jkcold,mocold,js,jscald
      INTEGER jiaold,jjaold,jkaold,moaold,jsaald
      INTEGER data
      PARAMETER (data=15134)
      INTEGER month(data)
      REAL lat(data),lon(data),depth(data),temp
      REAL abun(data),conc(data),day,year,conversion
      REAL obsnif(jpidta,jpjdta,jpk,jpmdta)
      REAL obszif(jpidta,jpjdta,jpk,jpmdta)
      REAL sorta(30),sortc(30),sumab,sumco,varsa,varsc
      DATA gdept/0.,10.,20.,30.,50.,75.,100.,125.,150.,200.,
     & 250.,300.,400.,500.,600.,700.,800.,900.,1000.
     & ,1100.,1200.,1300.,1400.,1500.,1750.,2000.,
     & 2500.,3000.,3500.,4000.,4500.,5000.,5500./
      conversion=1.
C
      WRITE(0,*)' ANTLEC: READ THE INPUT DATA'
      spval=1e35
      DO jm = 1, jpmdta
        DO jj = 1, jpjdta
          DO ji = 1, jpidta
            DO jk = 1, jpk
              obs(ji,jj,jk,jm)=0.
              obsz(ji,jj,jk,jm)=0.
              obsnif(ji,jj,jk,jm)=0.
              obszif(ji,jj,jk,jm)=0.
              rdta(ji,jj,jk,jm)=0.
              rdtz(ji,jj,jk,jm)=0.
              abund(ji,jj,jk,jm)=0.
              abunz(ji,jj,jk,jm)=0.
            END DO
          END DO
        END DO
      END DO
C
      jicold=0
      jjcold=0
      jkcold=0
      mocold=0
      jscald=0
      jiaold=0
      jjaold=0
      jkaold=0
      moaold=0
      jsaald=0
      OPEN(1,FILE="input.dat",STATUS='OLD')
      DO jn = 1, data
        READ (1,*) ji,jj,depth(jn),month(jn),abun(jn),conc(jn)
! WRITE(*,*) jn,ji,jj,depth(jn),month(jn),abun(jn),conc(jn)
C data in ug/L converted below to mol/L
! conc(jn) = conc(jn)/12.*1e-6
C convert to 3D map
        DO jk = 1, jpk-1
          IF ((ABS(depth(jn)-gdept(jk)) .LT. ABS(depth(jn)-gdept(jk+1)))
     $ .AND.(depth(jn).NE.-999.)) EXIT
C missing depths end up in the bottom layer
        END DO
C WRITE(*,*) jk,depth(jn),gdept(jk)
! IF (conc(jn).NE.-9.) THEN
C convert from ug C/L to mol C/L
       IF (conc(jn) .GE. 0) THEN
          obs(ji,jj,jk,month(jn))=
     $ obs(ji,jj,jk,month(jn))+1.
          rdta(ji,jj,jk,month(jn))=
     $ rdta(ji,jj,jk,month(jn))+
     & (conc(jn)*conversion-
     $ rdta(ji,jj,jk,month(jn)))/
     $ obs(ji,jj,jk,month(jn))
        IF ((ji.eq.jicold).and.(jj.eq.jjcold).and.(jk.eq.jkcold).and.
     & (month(jn).eq.mocold).AND.(jscald.ge.1)) THEN
          DO js = jscald,1,-1
            IF (sortc(js) .gt. conc(jn)) THEN
              sortc(js+1) = sortc(js)
              IF (js .eq. 1) sortc(1) = conc(jn)
            ELSE
              sortc(js+1) = conc(jn)
              EXIT
            ENDIF
          END DO
          sumco=sumco+conc(jn)
          jscald=jscald+1
          IF (jn .eq. data) THEN
           IF (MOD(jscald,2).ne.0) THEN
            medc(jicold,jjcold,jkcold,mocold)=sortc(int(jscald/2)+1)
           ELSE
            medc(jicold,jjcold,jkcold,mocold)=(sortc(jscald/2)+
     & sortc(jscald/2+1))/2.
           ENDIF
           varsc = 0.
           DO js = 1, jscald
            varsc=varsc+(sortc(js)-sumco/jscald)**2
           END DO
           stdc(jicold,jjcold,jkcold,mocold)=SQRT(varsc/jscald)
          ENDIF
        ELSE
         IF (jicold .NE. 0) THEN
          IF (MOD(jscald,2).ne.0) THEN
            medc(jicold,jjcold,jkcold,mocold)=sortc(int(jscald/2)+1)
          ELSE
            medc(jicold,jjcold,jkcold,mocold)=(sortc(jscald/2)+
     & sortc(jscald/2+1))/2.
          ENDIF
          varsc = 0.
          DO js = 1, jscald
            varsc=varsc+(sortc(js)-sumco/jscald)**2
          END DO
          stdc(jicold,jjcold,jkcold,mocold)=SQRT(varsc/jscald)
!          IF (jscald .gt. 1) WRITE(*,*) 'median ',sortc,
!     & medc(jicold,jjcold,jkcold,mocold),
!     & stdc(jicold,jjcold,jkcold,mocold)
         ENDIF
          sortc = 0.
          sumco = conc(jn)
          sortc(1) = conc(jn)
          jscald = 1
        ENDIF
        jicold=ji
        jjcold=jj
        jkcold=jk
        mocold=month(jn)
       ENDIF
       IF (abun(jn) .GE. 0) THEN
          obsnif(ji,jj,jk,month(jn))=
     $      obsnif(ji,jj,jk,month(jn))+1.
          abund(ji,jj,jk,month(jn))=
     $ abund(ji,jj,jk,month(jn))+
     & (abun(jn)-
     $ abund(ji,jj,jk,month(jn)))/
     $      obsnif(ji,jj,jk,month(jn))
        IF ((ji.eq.jiaold).and.(jj.eq.jjaold).and.(jk.eq.jkaold).and.
     & (month(jn).eq.moaold).AND.(jsaald.ge.1)) THEN
          DO js = jsaald,1,-1
            IF (sorta(js) .gt. abun(jn)) THEN
              sorta(js+1) = sorta(js)
              IF (js .eq. 1) sorta(1) = abun(jn)
            ELSE
              sorta(js+1) = abun(jn)
              EXIT
            ENDIF
          END DO
          sumab=sumab+abun(jn)
          jsaald=jsaald+1
          IF (jn .eq. data) THEN
           IF (MOD(jsaald,2).ne.0) THEN
            meda(jiaold,jjaold,jkaold,moaold)=sorta(int(jsaald/2)+1)
           ELSE
            meda(jiaold,jjaold,jkaold,moaold)=(sorta(jsaald/2)+
     & sorta(jsaald/2+1))/2.
           ENDIF
           varsa = 0.
           DO js = 1, jsaald
            varsa=varsa+(sorta(js)-sumab/jsaald)**2
           END DO
           stda(jiaold,jjaold,jkaold,moaold)=SQRT(varsa/jsaald)
          ENDIF
        ELSE
         IF (jiaold .NE. 0) THEN
          IF (MOD(jsaald,2).ne.0) THEN
            meda(jiaold,jjaold,jkaold,moaold)=sorta(int(jsaald/2)+1)
          ELSE
            meda(jiaold,jjaold,jkaold,moaold)=(sorta(jsaald/2)+
     & sorta(jsaald/2+1))/2.
          ENDIF
          varsa = 0.
          DO js = 1, jsaald
            varsa=varsa+(sorta(js)-sumab/jsaald)**2
          END DO
          stda(jiaold,jjaold,jkaold,moaold)=SQRT(varsa/jsaald)
!          IF (jsaald .gt. 1) WRITE(*,*) 'median ',sorta,
!     & meda(jiaold,jjaold,jkaold,moaold),
!     & stda(jiaold,jjaold,jkaold,moaold)
         ENDIF
          sorta = 0.
          sumab = abun(jn)
          sorta(1) = abun(jn)
          jsaald = 1
        ENDIF
        jiaold=ji
        jjaold=jj
        jkaold=jk
        moaold=month(jn)
       ENDIF
      END DO
! REPEAT ford non-zero observations
      jicold=0
      jjcold=0
      jkcold=0
      mocold=0
      jscald=0
      jiaold=0
      jjaold=0
      jkaold=0
      moaold=0
      jsaald=0
      REWIND(1)
      DO jn = 1, data
       READ (1,*) ji,jj,depth(jn),month(jn),abun(jn),conc(jn)
! WRITE(*,*) jn,lat(jn),lon(jn),depth(jn),conc(jn)
C data in ug/L converted below to mol/L
! conc(jn) = conc(jn)/12.*1e-6
C convert to 3D map
       IF ((conc(jn) .GT. 0).OR.(abun(jn) .GT. 0)) THEN
        DO jk = 1, jpk-1
          IF ((ABS(depth(jn)-gdept(jk)) .LT. ABS(depth(jn)-gdept(jk+1)))
     $ .AND.(depth(jn).NE.-999.)) EXIT
C missing depths end up in the bottom layer
        END DO
       IF (conc(jn) .GT. 0) THEN
          obsz(ji,jj,jk,month(jn))=
     $ obsz(ji,jj,jk,month(jn))+1.
          rdtz(ji,jj,jk,month(jn))=
     $ rdtz(ji,jj,jk,month(jn))+
     & (conc(jn)*conversion-
     $ rdtz(ji,jj,jk,month(jn)))/
     $ obsz(ji,jj,jk,month(jn))
        IF ((ji.eq.jicold).and.(jj.eq.jjcold).and.(jk.eq.jkcold).and.
     & (month(jn).eq.mocold).AND.(jscald.ge.1)) THEN
          DO js = jscald,1,-1
            IF (sortc(js) .gt. conc(jn)) THEN
              sortc(js+1) = sortc(js)
              IF (js .eq. 1) sortc(1) = conc(jn)
            ELSE
              sortc(js+1) = conc(jn)
              EXIT
            ENDIF
          END DO
          sumco=sumco+conc(jn)
          jscald=jscald+1
          IF (jn .eq. data) THEN
           IF (MOD(jscald,2).ne.0) THEN
            medzc(jicold,jjcold,jkcold,mocold)=sortc(int(jscald/2)+1)
           ELSE
            medzc(jicold,jjcold,jkcold,mocold)=(sortc(jscald/2)+
     & sortc(jscald/2+1))/2.
           ENDIF
           varsc = 0.
           DO js = 1, jscald
            varsc=varsc+(sortc(js)-sumco/jscald)**2
           END DO
           stdzc(jicold,jjcold,jkcold,mocold)=SQRT(varsc/jscald)
          ENDIF
        ELSE
         IF (jicold .NE. 0) THEN
          IF (MOD(jscald,2).ne.0) THEN
            medzc(jicold,jjcold,jkcold,mocold)=sortc(int(jscald/2)+1)
          ELSE
            medzc(jicold,jjcold,jkcold,mocold)=(sortc(jscald/2)+
     & sortc(jscald/2+1))/2.
          ENDIF
          varsc = 0.
          DO js = 1, jscald
            varsc=varsc+(sortc(js)-sumco/jscald)**2
          END DO
          stdzc(jicold,jjcold,jkcold,mocold)=SQRT(varsc/jscald)
!          IF (jscald .gt. 1) WRITE(*,*) 'median ',sortc,
!     & medzc(jicold,jjcold,jkcold,mocold),
!     & stdzc(jicold,jjcold,jkcold,mocold)
         ENDIF
          sortc = 0.
          sumco = conc(jn)
          sortc(1) = conc(jn)
          jscald = 1
        ENDIF
        jicold=ji
        jjcold=jj
        jkcold=jk
        mocold=month(jn)
       ENDIF
       IF (abun(jn) .GT. 0) THEN
          obszif(ji,jj,jk,month(jn))=
     $      obszif(ji,jj,jk,month(jn))+1.
          abunz(ji,jj,jk,month(jn))=
     $ abunz(ji,jj,jk,month(jn))+
     & (abun(jn)-
     $ abunz(ji,jj,jk,month(jn)))/
     $      obszif(ji,jj,jk,month(jn))
        IF ((ji.eq.jiaold).and.(jj.eq.jjaold).and.(jk.eq.jkaold).and.
     & (month(jn).eq.moaold).AND.(jsaald.ge.1)) THEN
          DO js = jsaald,1,-1
            IF (sorta(js) .gt. abun(jn)) THEN
              sorta(js+1) = sorta(js)
              IF (js .eq. 1) sorta(1) = abun(jn)
            ELSE
              sorta(js+1) = abun(jn)
              EXIT
            ENDIF
          END DO
          sumab=sumab+abun(jn)
          jsaald=jsaald+1
          IF (jn .eq. data) THEN
           IF (MOD(jsaald,2).ne.0) THEN
            medza(jiaold,jjaold,jkaold,moaold)=sorta(int(jsaald/2)+1)
           ELSE
            medza(jiaold,jjaold,jkaold,moaold)=(sorta(jsaald/2)+
     & sorta(jsaald/2+1))/2.
           ENDIF
           varsa = 0.
           DO js = 1, jsaald
            varsa=varsa+(sorta(js)-sumab/jsaald)**2
           END DO
           stdza(jiaold,jjaold,jkaold,moaold)=SQRT(varsa/jsaald)
          ENDIF
        ELSE
         IF (jiaold .NE. 0) THEN
          IF (MOD(jsaald,2).ne.0) THEN
            medza(jiaold,jjaold,jkaold,moaold)=sorta(int(jsaald/2)+1)
          ELSE
            medza(jiaold,jjaold,jkaold,moaold)=(sorta(jsaald/2)+
     & sorta(jsaald/2+1))/2.
          ENDIF
          varsa = 0.
          DO js = 1, jsaald
            varsa=varsa+(sorta(js)-sumab/jsaald)**2
          END DO
          stdza(jiaold,jjaold,jkaold,moaold)=SQRT(varsa/jsaald)
!          IF (jsaald .gt. 1) WRITE(*,*) 'median ',sorta,
!     & medza(jiaold,jjaold,jkaold,moaold),
!     & stdza(jiaold,jjaold,jkaold,moaold)
         ENDIF
          sorta = 0.
          sumab = abun(jn)
          sorta(1) = abun(jn)
          jsaald = 1
        ENDIF
        jiaold=ji
        jjaold=jj
        jkaold=jk
        moaold=month(jn)
       ENDIF
       ENDIF
      END DO
      write(*,*) "done binning"
      DO jj = 1, jpjdta
        ryl(jj) = float(jj)-90.5
      END DO
      ryl(jpjdta)=89.62
      DO ji = 1, jpidta
        rxl(ji) = float(ji)-180.5
      END DO
      DO ji = 1, jpmdta
        rtl(ji) = (float(ji)-0.5)*3600.*24.*365./12.
      END DO
      DO jm = 1, jpmdta
        DO jj = 1, jpjdta
          DO ji = 1, jpidta
            DO jk = 1, jpk
              IF (obs(ji,jj,jk,jm) .EQ. 0.) then
                rdta(ji,jj,jk,jm)=spval
                medc(ji,jj,jk,jm)=spval
                stdc(ji,jj,jk,jm)=spval
              ENDIF
              IF (obsnif(ji,jj,jk,jm) .EQ. 0.) then
                abund(ji,jj,jk,jm)=spval
                meda(ji,jj,jk,jm)=spval
                stda(ji,jj,jk,jm)=spval
              ENDIF
              IF (obsz(ji,jj,jk,jm) .EQ. 0.) then
                rdtz(ji,jj,jk,jm)=spval
                medzc(ji,jj,jk,jm)=spval
                stdzc(ji,jj,jk,jm)=spval
              ENDIF
              IF (obszif(ji,jj,jk,jm) .EQ. 0.) then
                abunz(ji,jj,jk,jm)=spval
                medza(ji,jj,jk,jm)=spval
                stdza(ji,jj,jk,jm)=spval
              ENDIF
            END DO
          END DO
        END DO
      END DO
      RETURN
      END
